# sw_salt

### OVERVIEW

An `sw_salt` object manages event dispatching for Howl.

### FUNCTION

## sw_salt_step

### SYNOPSIS

    sw_result
    sw_salt_step(
       sw_salt    self,
       sw_ulong * msecs)

### DESCRIPTION

Dispatch events for max time in milliseconds. Pass NULL to wait until at least one event is dispatched.

### EXAMPLE

    void process_howl_events(sw_salt salt) {
       ...
       sw_ulong msecs = 500;
       sw_salt_step(salt, &msecs);
    }

### SEE ALSO

`sw_discovery_salt`